Change password
Changes the password of the user who owns the token.
Parameters
Send as application/x-www-form-urlencoded.
typestringrequiredSelects the operation. Always
change_passwordfor this endpoint.tokenstringrequiredYour API token from Log in. See Authentication.
Current password.
Example••••••••New password.
Example••••••••
curl https://api.dcdial.com/api/ \ -d type=change_password \ -d token="$DCDIAL_TOKEN" \ -d oldpass='••••••••' \ -d newpass='••••••••'<?php$ch = curl_init('https://api.dcdial.com/api/');curl_setopt_array($ch, [ CURLOPT_POST => true, CURLOPT_RETURNTRANSFER => true, CURLOPT_POSTFIELDS => http_build_query([ 'type' => 'change_password', 'token' => getenv('DCDIAL_TOKEN'), 'oldpass' => '••••••••', 'newpass' => '••••••••', ]),]);$result = json_decode(curl_exec($ch), true);curl_close($ch);
if (($result['response']['success'] ?? 0) != 1) { throw new RuntimeException($result['response']['error'] ?? 'Request failed');}const res = await fetch('https://api.dcdial.com/api/', { method: 'POST', body: new URLSearchParams({ type: "change_password", token: process.env.DCDIAL_TOKEN, oldpass: "••••••••", newpass: "••••••••", }),});const { response } = await res.json();if (response.success != 1) throw new Error(response.error);import osimport requests
r = requests.post( "https://api.dcdial.com/api/", data={ "type": "change_password", "token": os.environ["DCDIAL_TOKEN"], "oldpass": "••••••••", "newpass": "••••••••", }, timeout=30,)response = r.json()["response"]if str(response.get("success")) != "1": raise RuntimeError(response.get("error")){ "response": { "success": "1", "error": "" }}Try it